Actualizar WordPress

Guías para actualizar WordPress a la última versión estable.

Información práctica sobre los problemas que resuelve cada actualización, mejoras en seguridad WordPress, nuevas funcionalidades que se añaden a las versiones liberadas, etc.

Recuerda siempre hacer una copia de seguridad antes de actualizar WordPress, tu tema o cualquiera de tus plugins



CMS:  WordPress |  Versión:  5.2.x |  Dificultad:  Básico |  Tiempo lectura:  5 minutos

WordPress 5.2


Con unos días de retraso sobre la fecha inicial de liberación, pero finalmente aquí esta WordPress 5.2 disponible para que TODOS los usuarios de WordPress, también los estancados en la versión 4.9.10, se puedan actualizar a esta versión estable.

Esta versión, que desde WordPress 5.1 incorpora "Site Health Check", añade 2 nuevas páginas para la gestión de errores de configuración y de paso que los desarrolladores puedan incorporar información de depuración para los implementadores.

Sin duda la esperada función es la "Protección de Errores de PHP" (PHP Error Protection) que está orientada a solucionar los errores 500 o fatales, evitando la temida WSOD (pantalla de la muerte) de forma que los plugins o temas que provoquen estos errores tras una actualización queden pausados y el sitio siga funcionando.

También se han añadido mejoras en accesibilidad para lectores de pantalla y otras tecnologías de asistencia, se incorporan más iconos (dashicons) al dashboard y otros cambios que te comentamos en el interior de este artículo, ...sigue leyendo!


Miércoles, 13 Marzo 2019 12:28

WordPress 5.1.1 ¡versión de seguridad!

Escrito por Luis Méndez Alejo
CMS:  WordPress |  Versión:  5.1.x |  Dificultad:  Básico |  Tiempo lectura:  5 minutos

WordPress 5.1.1


En febrero se liberaba WordPress 5.1, donde además de esperarse mejoras importantes para el control de errores 500 al actualizar el núcleo de WordPress o determinados plugins, estas mejoras no llegaron y todo quedó en una actualización light que generó problemas a muchos usuarios dejándoles los sitios inoperativos tras actualizar.

La culpa fue del cha-cha-chá, eso dice la letra de esa famosa música de Gabinete Caligari que a finales de los años 80 nos repicaba por doquier...

La culpa fue del Cha-cha-chá
  sí fue del Cha-cha-chá...

Total, que esta actualización de WordPress 5.1 no iba a durar mucho tiempo sin que llegase WordPress 5.1.1 para enmendar la plana, que diría el redactor de un periódico, y así ha sido, aquí tenemos esta actualización de seguridad y también de mantenimiento, a la que deberías actualizar (si no se te ha actualizado solito), previa copia de seguridad ¡faltaría más!


CMS:  WordPress |  Versión:  5.1.x |  Dificultad:  Básico |  Tiempo lectura:  5 minutos

WordPress 5.1


Llega WordPress 5.1 como la primera versión "mayor" de 2019 incorporando avisos de actualización de PHP, mejoras en el editor de bloques y primeras incorporaciones para gestionar la salud del sitio desde el dashboard.

Sigue habiendo muchos usuarios estancados en WordPress 4.9.9 esperando al momento ideal para llevar a cabo este update de WordPress de forma estable y segura para sitios que aún pueden presentar incompatibilidades de algunos plugins con el "editor de bloques" Gutenberg, para los que la recomendación "si no lo tienen 100% claro" es esperar a la 5.2 en abril de este año.

Para el resto de usuarios que ya están en la versión 5.0.3 podrán ejecutar esta actualización, previa copia de seguridad, sin miedo a que su sitio quede inoperativo.


CMS:  WordPress |  Versión:  5.0 |  Dificultad:  Básico |  Tiempo lectura:  10 minutos

WordPress 5.0 con Gutenberg


Hace ya bastante tiempo que Gutenberg irrumpió en WordPress para quedarse y ahora más que nunca con la llegada de la esperada versión "mayor" es necesario verse frente a frente con este editor y sopesar su uso o esperar a más adelante.

Llega WordPress 5.0 con Gutenberg y la pregunta es ¿actualizar o esperar?

 

¿Tengo que actualizar ahora?

WordPress no se actualizará automáticamente a la versión 5.x, tendrás que forzar tú la actualización desde el dashboard /wp-admin) y no recomendamos hacerlo.

No hay ningún motivo por el que tengas que actualizar ahora a WordPress 5.x, puedes seguir trabajando con la versión actual sin ningún problema.

La mayoría de actualizaciones a WordPress 5.1 no están generando problemas de incompatibilidades si tienes plugins y temas actualizados y son compatibles con 5.x, aun así, si no eres experto en WordPress, te recomendamos esperar a la versión 5.2 que tendrá algunas mejoras para solucionar posibles incompatibilidades.

Previamente explicaremos en nuestro blog los pasos recomendados, etc.

  • Si estás en plena temporada alta NO actualices.
  • Si no eres experto en WordPress NO actualices.
  • Si no quieres pasarte unas horas de incertidumbre para acabar recuperando un backup NO actualices.
 
Si eres cliente de Webempresa, te mantendremos informad@ con mensajes en tu Área de Cliente, cPanel y a través de este Blog con información puntual para que sepas como actualizarte con seguridad y tranquilidad a WordPress 5.x.

CMS:  WordPress |  Versión:  5.0.x |  Dificultad:  Básico |  Tiempo lectura:  5 minutos

WordPress 5.0.3


Tras un mes de diciembre algo alterado con las actualizaciones a WordPress 5.0, de las que te hemos hablado en el blog, llegaron nuevas actualizaciones de seguridad para la 5.0 y ahora le toca el turno a una actualización de mantenimiento, concretamente la 5.0.3 .

No podemos olvidar que muchos usuarios siguen estancados en WordPress 4.9.9 (o quizás aún en la 4.9.8 o anteriores) pensado en cual será el momento ideal para hacer este update de WordPress cuando se calmen las aguas y sea posible cruzar el umbral a la rama 5.x sin sorpresas.

Bueno, pues para los que lleváis ya días, semanas o algo más de 1 mes en la 5.0.x es hora de aplicar esta actualización a la versión de mantenimiento 5.0.3 para corregir algunas cosillas y seguir avanzando con WordPress.


Viernes, 21 Diciembre 2018 19:25

WordPress 4.9.9 ¡versión de seguridad!

Escrito por Luis Méndez Alejo
CMS:  WordPress |  Versión:  4.9.x |  Dificultad:  Básico |  Tiempo lectura:  5 minutos

WordPress 4.9.9


Diciembre ha empezado movidito en el mundo de WordPress y en parte se lo debemos a la actualización a WordPress 5.0 que incorpora ya por defecto el "editor de bloques" Gutenberg en sustitución del actual (hasta la 4.9.9) basado en TinyMCE.

Esto ha generado que muchos usuarios se queden "parados" (temporalmente) en la versión 4.9.8 y otros den el salto a la 5.0 ya con el nuevo editor, o con el "Editor Clásico" si han optado por no subirse al carro de los editores de bloques.

En esta ocasión se trata de aplicar un parche de seguridad que afecta tanto a WordPress 4.9.8 como a la nueva versión 5.0, por lo que debe aplicarse en ambas situaciones dependiendo de cuál versión uses para que tu sitio no se vea afectado y funcione con normalidad.


Página 1 de 13